## GtkPlotBox GtkPlotBox |

## Functions

GtkWidget * | gtk_plot_box_new ()
void | gtk_plot_box_construct ()

## Properties

GtkOrientation | orientation | Read / Write

## Types and Values

struct | GtkPlotBox

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkPlotData
                        ╰── GtkPlotBox

## Implemented Interfaces

GtkPlotBox implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtkextra.h>

## Description

FIXME:: need long description.

## Functions

### gtk_plot_box_new ()

    GtkWidget *
    gtk_plot_box_new (GtkOrientation orientation);

Create a new GtkPlotBox widget.

#### Parameters

orientation | GTK_ORIENTATION_HORIZONTAL or GTK_ORIENTATION_VERTICAL. |

#### Returns

a new GtkWidget.

### gtk_plot_box_construct ()

    void
    gtk_plot_box_construct (GtkPlotBox *box,
                            GtkOrientation orientation);

Initializes a GtkPlotBar structure.

#### Parameters

box | a GtkPlotBox widget. |
orientation | GTK_ORIENTATION_HORIZONTAL or GTK_ORIENTATION_VERTICAL. |

## Types and Values

### struct GtkPlotBox

    struct GtkPlotBox;

The GtkPlotBox struct contains only private data. It should only be accessed through the functions described below.

## Property Details

### The `“orientation”` property

      “orientation”              GtkOrientation

Orientation.

Flags: Read / Write

Default value: GTK_ORIENTATION_HORIZONTAL